Decide a pre-authorization
curl --request POST \
--url https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id}/decisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"outcome": "<string>",
"approved_amount": 4503599627370496,
"valid_until": "2023-11-07T05:31:56Z",
"reason_codes": [
"<string>"
],
"policy_reference": "<string>",
"policy_version": "<string>",
"evidence_references": [
"<string>"
]
}
'import requests
url = "https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id}/decisions"
payload = {
"outcome": "<string>",
"approved_amount": 4503599627370496,
"valid_until": "2023-11-07T05:31:56Z",
"reason_codes": ["<string>"],
"policy_reference": "<string>",
"policy_version": "<string>",
"evidence_references": ["<string>"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
outcome: '<string>',
approved_amount: 4503599627370496,
valid_until: '2023-11-07T05:31:56Z',
reason_codes: ['<string>'],
policy_reference: '<string>',
policy_version: '<string>',
evidence_references: ['<string>']
})
};
fetch('https://api.heyrafiki.space/v1/preauthorizations/{preauthorization_id}/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"eligibility_check_id": "<string>",
"booking_id": "<string>",
"reason_codes": [
"<string>"
],
"amount": {
"requested": 2,
"approved": 2,
"currency": "<string>"
},
"valid_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"decision": {
"id": "<string>",
"object": "<string>",
"version": 2,
"reason_codes": [
"<string>"
],
"policy": {
"reference": "<string>",
"version": "<string>"
},
"authority_reference": "<string>",
"evidence_references": [
"<string>"
],
"decided_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>"
}
}Decide a pre-authorization
Records the payer organization’s decision and reserves the Benefit only when approved. Requires benefits:decide.
POST
/
preauthorizations
/
{preauthorization_id}
/
decisions
Decide a pre-authorization
Authorizations
bearerAuthapiKeyAuth
A sandbox or production secret key.
Headers
A caller-owned key for safely retrying one write.
Required string length:
8 - 255Path Parameters
A public pre-authorization identifier.
Maximum string length:
100Pattern:
^preauth_[A-Za-z0-9_-]+$Body
application/json
- Option 1
- Option 2
Allowed value:
"approved"Required range:
1 <= x <= 9007199254740991Required array length:
1 - 32 elementsPattern:
^[a-z0-9_]{2,80}$Required string length:
3 - 200Pattern:
^[A-Za-z][A-Za-z0-9:_-]+$Required string length:
1 - 100Required array length:
1 - 29 elementsRequired string length:
3 - 300Pattern:
^[A-Za-z][A-Za-z0-9:_-]+$Response
The decided pre-authorization
Maximum string length:
100Pattern:
^preauth_[A-Za-z0-9_-]+$Allowed value:
"preauthorization"Maximum string length:
100Pattern:
^elig_[A-Za-z0-9_-]+$Maximum string length:
100Pattern:
^bkg_[A-Za-z0-9_-]+$Available options:
pending, approved, denied, expired, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on August 6, 2026
⌘I

